## kf6-kdeclarative 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
set(REQUIRED_QT_VERSION 6.5.0)
project(KDeclarative VERSION ${KF_VERSION})

# Dependencies
include(FeatureSummary)
find_package(ECM 6.6.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(CMakePackageConfigHelpers)
include(ECMAddQch)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)


if(NOT WIN32 AND NOT APPLE AND NOT ANDROID)
    find_package(KF6GlobalAccel ${KF_DEP_VERSION} REQUIRED)
    set(HAVE_KGLOBALACCEL TRUE)
else()
    set(HAVE_KGLOBALACCEL FALSE)
endif()

if (NOT ANDROID)
  find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
endif()

configure_file(config-kdeclarative.h.in ${CMAKE_BINARY_DIR}/config-kdeclarative.h)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXAMPLES "Build and install examples." OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


# ECM setup
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KDECLARATIVE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfigVersion.cmake"
  SOVERSION 6)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
ecm_set_disabled_deprecation_versions(
    QT 6.5.0
    KF 5.102
)

ki18n_install(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Declarative")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Declarative_QCH
        FILE KF6DeclarativeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6DeclarativeQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6DeclarativeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6DeclarativeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF6DeclarativeTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6DeclarativeTargets.cmake
  NAMESPACE KF6::
  COMPONENT Devel
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/kdeclarative_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KDeclarative"
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kdeclarative 6.3.0

=== debian/changelog ===
kf6-kdeclarative (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:57:27 +0200

kf6-kdeclarative (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 26 Apr 2024 19:17:26 +0200

kdeclarative (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015443).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:03 +0100

kdeclarative (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:44 +0200

kdeclarative (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:02 +0100

kdeclarative (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:31 +0100

kdeclarative (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:10 +0100

kdeclarative (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:35 +0100

kdeclarative (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

kdeclarative (5.98.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Sep 2022 01:03:29 +0200

kdeclarative (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.98.0.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:49 +0200

kdeclarative (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:40 +0200

kdeclarative (5.96.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Aug 2022 15:03:41 +0200

kdeclarative (5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Aug 2022 14:36:00 +0200

kdeclarative (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:08 +0200

kdeclarative (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jul 2022 19:12:01 +0200

kdeclarative (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Fix field name case in debian/control (Multi-arch => Multi-Arch).
  * Remove the manual check for nocheck in DEB_BUILD_OPTIONS, as debhelper does
    it already in compat 13+.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Update symbols files. (Closes: #1012959)

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 19:51:51 +0200

kdeclarative (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

kdeclarative (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

kdeclarative (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.


=== debian/control ===
Source: kf6-kdeclarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6globalaccel-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-shadertools-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kdeclarative
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
Rules-Requires-Root: no

Package: libkf6calendarevents6
Architecture: any
Multi-Arch: same
Depends: libkf6declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.

Package: libkf6declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the translation files.

Package: libkf6declarative-dev
Section: libdevel
Architecture: any
Depends: libkf6calendarevents6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6declarative-doc (= ${source:Version}),
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 Contains development files for kdeclarative.

Package: libkf6declarative-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provides integration of QML and KDE frameworks (documentation)
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available.
 .
 This package contains the qch documentation files.
Section: doc

Package: qml6-module-org-kde-draganddrop
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml6-module-org-kde-graphicaleffects
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - graphicaleffects
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

Package: qml6-module-org-kde-kquickcontrols
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml6-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf6declarative.

## kf6-kdeclarative 6.6.0

=== debian/changelog ===
kf6-kdeclarative (6.6.0-2deepin1) unstable; urgency=medium

  * add qml deps.

 -- zhangyu <zhangyud@uniontech.com>  Thur, 21 Nov 2024 14:33:14 +0100

kf6-kdeclarative (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 17:06:14 +0100

kf6-kdeclarative (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:42 +0200

kf6-kdeclarative (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 04:56:07 +0200

kf6-kdeclarative (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:04 +0200

kf6-kdeclarative (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6globalaccel-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6globalaccel-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -23,6 +24,10 @@
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
+	       qml6-module-qtquick,
+	       qml6-module-qtquick-controls,
+	       qml6-module-qtquick-dialogs,
+	       qml6-module-qtquick-layouts,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
@@ -55,6 +60,10 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6calendarevents6 (= ${binary:Version}),
+         qml6-module-org-kde-draganddrop (= ${binary:Version}),
+         qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
+         qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
+         qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
@@ -79,14 +88,14 @@
 Package: qml6-module-org-kde-draganddrop
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - draganddrop
  Provides QML draganddrop functionality.
 
 Package: qml6-module-org-kde-graphicaleffects
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - graphicaleffects
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.
@@ -96,11 +105,8 @@
 Package: qml6-module-org-kde-kquickcontrols
 Architecture: any
 Multi-Arch: same
-Depends: qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-dialogs,
-         qml6-module-qtquick-layouts,
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
@@ -109,7 +115,7 @@
 Package: qml6-module-org-kde-kquickcontrolsaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.10.0

=== debian/changelog ===
kf6-kdeclarative (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:17 +0100

kf6-kdeclarative (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:02:44 +0100

kf6-kdeclarative (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:24 -0600

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,26 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6globalaccel-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6globalaccel-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
-	       qml6-module-qtquick,
-	       qml6-module-qtquick-controls,
-	       qml6-module-qtquick-dialogs,
-	       qml6-module-qtquick-layouts,
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
@@ -64,8 +60,8 @@
          qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6declarative-doc (= ${source:Version}),
 Description: development files for kdeclarative
@@ -105,9 +101,7 @@
 Package: qml6-module-org-kde-kquickcontrols
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.11.0

=== debian/changelog ===
kf6-kdeclarative (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Review copyright information.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6globalaccel-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6globalaccel-dev (>= 6.11.0~),
+               libkf6guiaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),

## kf6-kdeclarative 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
-set(REQUIRED_QT_VERSION 6.5.0)
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 6.6.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,8 +62,8 @@
 # Subdirectories
 add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.5.0
-    KF 5.102
+    QT 6.8.0
+    KF 6.11.0
 )
 
 ki18n_install(po)

=== src/qmlcontrols/draganddrop/CMakeLists.txt ===
ecm_add_qml_module(draganddropplugin URI org.kde.draganddrop VERSION 2.0)

target_sources(draganddropplugin PRIVATE
    DeclarativeDragArea.cpp
    DeclarativeDragArea.h
    DeclarativeDragDropEvent.cpp
    DeclarativeDragDropEvent.h
    DeclarativeDropArea.cpp
    DeclarativeDropArea.h
    DeclarativeMimeData.cpp
    DeclarativeMimeData.h
    draganddropplugin.cpp
    draganddropplugin.h
    MimeDataWrapper.cpp
    MimeDataWrapper.h
)

target_link_libraries(draganddropplugin PRIVATE
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    Qt6::Gui
)

ecm_finalize_qml_module(draganddropplugin)

=== src/qmlcontrols/graphicaleffects/CMakeLists.txt ===
find_package(Qt6 REQUIRED COMPONENTS ShaderTools)

ecm_add_qml_module(graphicaleffects URI org.kde.graphicaleffects
    VERSION 1.0
    QML_FILES
        Lanczos.qml
        BadgeEffect.qml
    GENERATE_PLUGIN_SOURCE
)

qt_add_shaders(graphicaleffects "graphicaleffects_shaders"
    BATCHABLE
    PRECOMPILE
    OPTIMIZED
    PREFIX
        "/shaders"
    FILES
       "badge.frag"
       "preserveaspect.vert"
       "lanczos2sharp.frag"
)

ecm_finalize_qml_module(graphicaleffects)

=== debian/changelog ===
kf6-kdeclarative (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:51:12 +0000

kf6-kdeclarative (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:03 +0000

kf6-kdeclarative (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * New library package libkquickcontrolsprivate0
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:02:33 +0000

kf6-kdeclarative (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:45:45 +0000

kf6-kdeclarative (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 09:36:05 +0000

kf6-kdeclarative (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:35:23 +0000

kf6-kdeclarative (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:05:25 +0100

kf6-kdeclarative (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:22:16 +0100

kf6-kdeclarative (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kf6-kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6globalaccel-dev (>= 6.11.0~),
-               libkf6guiaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6globalaccel-dev (>= 6.12.0~),
+               libkf6guiaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
@@ -28,9 +29,19 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
 Rules-Requires-Root: no
+
+Package: libkquickcontrolsprivate0
+Architecture: any
+Multi-Arch: same
+Depends: libkf6declarative-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: provides integration of QML and KDE frameworks -- calendarevents
+ Framework providing integration of QML and other KDE frameworks such
+ as making i18n available.
 
 Package: libkf6calendarevents6
 Architecture: any
@@ -56,12 +67,13 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6calendarevents6 (= ${binary:Version}),
+         libkquickcontrolsprivate0 (= ${binary:Version}),
          qml6-module-org-kde-draganddrop (= ${binary:Version}),
          qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6declarative-doc (= ${source:Version}),
 Description: development files for kdeclarative
@@ -101,7 +113,9 @@
 Package: qml6-module-org-kde-kquickcontrols
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.
@@ -109,7 +123,9 @@
 Package: qml6-module-org-kde-kquickcontrolsaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 set(REQUIRED_QT_VERSION 6.6.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,8 +62,8 @@
 # Subdirectories
 add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 ki18n_install(po)

=== debian/changelog ===
kf6-kdeclarative (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,36 @@
 Source: kf6-kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6globalaccel-dev (>= 6.12.0~),
-               libkf6guiaddons-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6globalaccel-dev (>= 6.13.0~),
+               libkf6guiaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
 Rules-Requires-Root: no
-
-Package: libkquickcontrolsprivate0
-Architecture: any
-Multi-Arch: same
-Depends: libkf6declarative-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: provides integration of QML and KDE frameworks -- calendarevents
- Framework providing integration of QML and other KDE frameworks such
- as making i18n available.
 
 Package: libkf6calendarevents6
 Architecture: any
@@ -67,13 +56,12 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6calendarevents6 (= ${binary:Version}),
-         libkquickcontrolsprivate0 (= ${binary:Version}),
          qml6-module-org-kde-draganddrop (= ${binary:Version}),
          qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
-         qt6-declarative-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
+         qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6declarative-doc (= ${source:Version}),
 Description: development files for kdeclarative
@@ -113,9 +101,7 @@
 Package: qml6-module-org-kde-kquickcontrols
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.
@@ -123,9 +109,7 @@
 Package: qml6-module-org-kde-kquickcontrolsaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.16.0

=== debian/changelog ===
kf6-kdeclarative (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:41:31 +0100

kf6-kdeclarative (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:32:20 +0100

kf6-kdeclarative (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:56:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,47 @@
 Source: kf6-kdeclarative
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6globalaccel-dev (>= 6.13.0~),
-               libkf6guiaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6globalaccel-dev (>= 6.16.0~),
+               libkf6guiaddons-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-declarative-private-dev (>= 6.5.0+dfsg~),
                qt6-shadertools-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdeclarative
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdeclarative.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdeclarative
 Rules-Requires-Root: no
+
+Package: libkquickcontrolsprivate0
+Architecture: any
+Multi-Arch: same
+Depends: libkf6declarative-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: provides integration of QML and KDE frameworks -- calendarevents
+ Framework providing integration of QML and other KDE frameworks such
+ as making i18n available.
 
 Package: libkf6calendarevents6
 Architecture: any
@@ -56,12 +67,13 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6calendarevents6 (= ${binary:Version}),
+         libkquickcontrolsprivate0 (= ${binary:Version}),
          qml6-module-org-kde-draganddrop (= ${binary:Version}),
          qml6-module-org-kde-graphicaleffects (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrols (= ${binary:Version}),
          qml6-module-org-kde-kquickcontrolsaddons (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
-         qt6-declarative-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-declarative-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6declarative-doc (= ${source:Version}),
 Description: development files for kdeclarative
@@ -101,7 +113,9 @@
 Package: qml6-module-org-kde-kquickcontrols
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: provides integration of QML and KDE frameworks - kquickcontrols
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.
@@ -109,7 +123,9 @@
 Package: qml6-module-org-kde-kquickcontrolsaddons
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
  This import contains KDE extras that are visually similar to Qt Quick
  Controls.

## kf6-kdeclarative 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
-set(REQUIRED_QT_VERSION 6.6.0)
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 6.7.0)
 project(KDeclarative VERSION ${KF_VERSION})
 
 # Dependencies
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -23,7 +23,7 @@
 include(ECMGenerateHeaders)
 include(ECMQmlModule)
 include(CMakePackageConfigHelpers)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Qml Quick Gui)
 find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
@@ -31,7 +31,7 @@
 find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
 
 
-if(NOT WIN32 AND NOT APPLE AND NOT ANDROID)
+if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
     find_package(KF6GlobalAccel ${KF_DEP_VERSION} REQUIRED)
     set(HAVE_KGLOBALACCEL TRUE)
 else()
@@ -47,9 +47,6 @@
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_EXAMPLES "Build and install examples." OFF)
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 
 # ECM setup
 ecm_setup_version(
@@ -62,8 +59,8 @@
 # Subdirectories
 add_definitions(-DTRANSLATION_DOMAIN=\"kdeclarative6\")
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 ki18n_install(po)
@@ -75,16 +72,6 @@
 
 # Create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Declarative")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Declarative_QCH
-        FILE KF6DeclarativeQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6DeclarativeQchTargets.cmake\")")
-endif()
 
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF6DeclarativeConfig.cmake.in"

=== tests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6Test REQUIRED)

add_executable(qimageitemtest qimageitemtest.cpp)

ecm_mark_as_test(qimageitemtest)
target_link_libraries(qimageitemtest
   Qt6::Quick
   Qt6::Test
)

=== debian/changelog ===
kf6-kdeclarative (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:14:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6globalaccel-dev (>= 6.16.0~),
-               libkf6guiaddons-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6globalaccel-dev (>= 6.17.0~),
+               libkf6guiaddons-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
